QGIS Application - Bug report #17619

QGIS 3D: add per layer option for vertex ordering of 3D polygon layers

2017-12-04 11:13 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25516
Description

Depending on the data source, the vertex ordering is clock-wise or counter-clock-wise.

A "per layer" vertex ordering option should be added to support both cases.

Associated revisions

Revision b773d617 - 2017-12-04 10:28 PM - Martin Dobias
[3d] Tessellator fixes + culling mode configuration for 3D polygons
- missing vertical walls since a recent tessellator crash fix (fixes #17604)

- choice of the culling mode - no culling / back face / front face (fixes #17619)

- more unit tests for tessellator

History

#1 - 2017-12-05 10:54 AM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b773d617b12680387ba7355186840165d469c2a4.

#2 - 2017-12-05 07:54 PM - Giovanni Manghi
- Resolution set to fixed/implemented
